interactions:
- request:
    body: !!binary |
[encoded data, 2906660 characters]
      AQoNCi0tYzYzYTU2MGFmMjBkZDJmNDBlZGQ4MDIxOTYzYTNiZjQtLQ0K
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '1996182'
      Content-Type:
      - multipart/form-data; boundary=c63a560af20dd2f40edd8021963a3bf4
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v2/media
  response:
    body:
      string: '{"id":"111912697580653578","type":"video","url":null,"preview_url":"http://localhost:3000/system/media_attachments/files/111/912/697/580/653/578/small/7cc923888a436880.png","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"original":{"width":640,"height":640,"frame_rate":"30/1","duration":7.3,"bitrate":2187124},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0},"focus":{"x":-0.5,"y":0.3}},"description":"me
        when a cat","blurhash":"U342k+?vxbaxaLofofj[4mD$Rjj[jZaeaefi"}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 9e38abd4-2ef2-40ad-8f93-9785d0b985ae
      X-Runtime:
      - '0.199166'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 202
      message: Accepted
- request:
    body: !!binary |
[encoded data, 39923 characters]
      ZDliYTA2NTYyYzAyMzZmZGE5ZjdiLS0NCg==
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '27442'
      Content-Type:
      - multipart/form-data; boundary=f163d1b18ddd9ba06562c0236fda9f7b
      User-Agent:
      - tests/v311
    method: PUT
    uri: http://localhost:3000/api/v1/media/111912697580653578
  response:
    body:
      string: '{"id":"111912697580653578","type":"video","url":null,"preview_url":"http://localhost:3000/system/media_attachments/thumbnails/111/912/697/580/653/578/original/3150dd3084bfa21d.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"focus":{"x":0.69,"y":0.69},"colors":{"background":"#dcf4fd","foreground":"#23211f","accent":"#47372d"},"original":{"width":640,"height":640,"frame_rate":"30/1","duration":7.3,"bitrate":2187124},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0}},"description":"John
        Lennon doing a cool walk","blurhash":"UPNKI$xbloIA9ZoI.8RjK-oy%NkD%hW?i^t6"}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 078ac822-f87c-42c4-81a1-6f15a90d3baf
      X-Runtime:
      - '0.221443'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 206
      message: Partial Content
version: 1
